> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1migrationdetails



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Migration//swagger/v1/swagger.json post /api/v1/migration/details
openapi: 3.0.0
info:
  title: NDS.Services.Migration
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Migration/
security: []
paths:
  /api/v1/migration/details:
    post:
      tags:
        - MigrationControllers
      operationId: MigrationControllers_MigrationDetails
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MigrationDetailsRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MigrationDetailsResult'
components:
  schemas:
    MigrationDetailsRequest:
      allOf:
        - $ref: '#/components/schemas/BaseMessage'
        - type: object
          additionalProperties: false
          properties:
            MigrationId:
              type: string
              nullable: true
    MigrationDetailsResult:
      allOf:
        - $ref: '#/components/schemas/ResultMessage'
        - type: object
          additionalProperties: false
          properties:
            MigrationRuns:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/MigrationRun'
    BaseMessage:
      allOf:
        - $ref: '#/components/schemas/Message'
        - type: object
          additionalProperties: false
    ResultMessage:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
        Code:
          type: string
          nullable: true
    MigrationRun:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        Migration:
          type: string
          nullable: true
        MigrationSource:
          type: string
          nullable: true
        TimeStamp:
          type: string
          format: date-time
        Status:
          type: string
          nullable: true
        Data:
          nullable: true
    Message:
      type: object
      x-abstract: true
      additionalProperties: false
      properties:
        Context:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/MessageContext'
    MessageContext:
      type: object
      additionalProperties: false
      properties:
        CorrelationId:
          type: string
          nullable: true
        UserId:
          type: string
          nullable: true
        Pads4UserId:
          type: string
          nullable: true
        Domain:
          type: string
          nullable: true
        Claims:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/UserClaim'
        SecondaryIdentities:
          type: array
          nullable: true
          items:
            type: string
        ImpersonationId:
          type: string
          nullable: true
    UserClaim:
      type: object
      additionalProperties: false
      properties:
        Type:
          type: string
          nullable: true
        Value:
          type: string
          nullable: true

````